| Home | Libraries | People | FAQ | More

## Function template make_terminal

boost::yap::make_terminal

## Synopsis

    // In header: <boost/yap/algorithm.hpp>

    template<template< expr_kind, class > class ExprTemplate, typename T>
      auto make_terminal(T && t);

## Description

Makes a new terminal expression instantiated from the expression template ExprTemplate, with the given value as its sole element.

| Note
`make_terminal()` is only valid if T is not an expression.